Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class YAxisInfo

    java.lang.Object
      jet.report.xls.AxisInfo
          jet.report.xls.YAxisInfo

    public class YAxisInfo

extends AxisInfo

Contains the information of chart y axis in the file.

Field Summary
`static byte` | `CROSS` specifies that the tick mark type is cross.
`static byte` | `INSIDE` Specifies that the tick type mark is inside.
`static byte` | `NONE` Specifies no tick mark.
`static byte` | `OUTSIDE` specifies that the tick mark type is outside.

Constructor Summary
`YAxisInfo()`
`YAxisInfo(LineFormatInfo axisLine, FontInfo labelInfo, byte tickType, short n, boolean showLabel, double maxValue, double minValue, double crossValue)` Constructs an AxisInfo class and sets its fields appropriately.

Method Summary
`double` | `getCrossValue()` Gets the cross value of y axis.
`double` | `getIncrement()` Gets increment y axis.
`double` | `getMaxValue()` Gets the maximum value of y axis.
`double` | `getMinValue()` Gets the minimum value of y axis.
`boolean` | `isAutoCross()` Gets whether to select the automatic cross value.
`boolean` | `isAutoMajor()` Gets whether to select the automatic major unit.
`boolean` | `isAutoMax()` Gets whether to select the automatic maximum.
`boolean` | `isAutoMin()` Gets whether to select the automatic minimum.
`boolean` | `isAutoMinor()` Gets whether to select the automatic minor unit.
`void` | `setAutoCross(boolean b)` Sets whether to select the automatic cross value.
`void` | `setAutoMajor(boolean b)` Sets whether to select the automatic major unit.
`void` | `setAutoMax(boolean b)` Sets whether to select the automatic maximum.
`void` | `setAutoMin(boolean b)` Sets whether to select the automatic minimum.
`void` | `setAutoMinor(boolean b)` Sets whether to select the automatic minor unit.
`void` | `setCrossValue(double value)` Sets the cross value of y axis.
`void` | `setIncrement(double inc)` Sets increment y axis.
`void` | `setMaxValue(double max)` Sets the maximum value of y axis.
`void` | `setMinValue(double min)` Sets the minimum value of y axis.

Methods inherited from class jet.report.xls.AxisInfo
`getAxisLine, getLabelInfo, getNTick, getShowLabel, getTickType, setAxisLine, setLabelInfo, setNTick, setShowLabel, setTickType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NONE

    public static final byte NONE

  Specifies no tick mark.

  See Also:
    Constant Field Values

### INSIDE

    public static final byte INSIDE

  Specifies that the tick type mark is inside.

  See Also:
    Constant Field Values

### OUTSIDE

    public static final byte OUTSIDE

  specifies that the tick mark type is outside.

  See Also:
    Constant Field Values

### CROSS

    public static final byte CROSS

  specifies that the tick mark type is cross.

  See Also:
    Constant Field Values

Constructor Detail

### YAxisInfo

    public YAxisInfo()

### YAxisInfo

    public YAxisInfo(LineFormatInfo axisLine,
                     FontInfo labelInfo,
                     byte tickType,
                     short n,
                     boolean showLabel,
                     double maxValue,
                     double minValue,
                     double crossValue)

  Constructs an AxisInfo class and sets its fields appropriately.

  Parameters:
    `axisLine` - information of axis line
    `labelInfo` - information of label
    `tickType` - type of tick mark
    `n` - Shows a label every n tick marks.
    `showLabel` - shows label or not
    `maxValue` - max value of the axis
    `minValue` - min value of the axis
    `crossValue` - the value of cross axis

Method Detail

### setMaxValue

    public void setMaxValue(double max)

  Sets the maximum value of y axis.

  Parameters:
    `max` - the maximum value of y axis

### getMaxValue

    public double getMaxValue()

  Gets the maximum value of y axis.

  Returns:
    the maximum value of y axis

### setMinValue

    public void setMinValue(double min)

  Sets the minimum value of y axis.

  Parameters:
    `min` - the minimum value of y axis

### getMinValue

    public double getMinValue()

  Gets the minimum value of y axis.

  Returns:
    the minimum value of y axis

### setIncrement

    public void setIncrement(double inc)

  Sets increment y axis.

  Parameters:
    `inc` - increment y axis

### getIncrement

    public double getIncrement()

  Gets increment y axis.

  Returns:
    increment y axis

### setCrossValue

    public void setCrossValue(double value)

  Sets the cross value of y axis.

  Parameters:
    `value` - cross value of y axis

### getCrossValue

    public double getCrossValue()

  Gets the cross value of y axis.

  Returns:
    cross value of y axis

### isAutoMin

    public boolean isAutoMin()

  Gets whether to select the automatic minimum.

  Returns:
    whether to select the automatic minimum or not

### setAutoMin

    public void setAutoMin(boolean b)

  Sets whether to select the automatic minimum.

  Parameters:
    `b` - - whether to select the automatic minimum or not

### isAutoMax

    public boolean isAutoMax()

  Gets whether to select the automatic maximum.

  Returns:
    whether to select the automatic maximum or not

### setAutoMax

    public void setAutoMax(boolean b)

  Sets whether to select the automatic maximum.

  Parameters:
    `b` - - whether to select the automatic maximum or not

### isAutoMajor

    public boolean isAutoMajor()

  Gets whether to select the automatic major unit.

  Returns:
    whether to select the automatic major unit or not

### setAutoMajor

    public void setAutoMajor(boolean b)

  Sets whether to select the automatic major unit.

  Parameters:
    `b` - - select the automatic major unit or not

### isAutoMinor

    public boolean isAutoMinor()

  Gets whether to select the automatic minor unit.

  Returns:
    whether to select the automatic minor unit or not

### setAutoMinor

    public void setAutoMinor(boolean b)

  Sets whether to select the automatic minor unit.

  Parameters:
    `b` - - whether to select the automatic minor unit or not

### isAutoCross

    public boolean isAutoCross()

  Gets whether to select the automatic cross value.

  Returns:
    whether to select the automatic cross value or not

### setAutoCross

    public void setAutoCross(boolean b)

  Sets whether to select the automatic cross value.

  Parameters:
    `b` - - whether to select the automatic cross value or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD